Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455541 (dojo) - Review Request: dojo - javascript library
Summary: Review Request: dojo - javascript library
Keywords:
Status: CLOSED DUPLICATE of bug 609817
Alias: dojo
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-15 23:32 UTC by Dave Malcolm
Modified: 2010-07-01 08:32 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-30 13:28:48 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2008-07-15 23:32:47 UTC
Spec URL: http://dmalcolm.fedorapeople.org/dojo.spec
SRPM URL: http://dmalcolm.fedorapeople.org/dojo-1.1.1-1.src.rpm
Description: 
Dojo is a JavaScript toolkit, providing cross-browser abstractions and widgets
for building dynamic web sites.

Comment 1 Rahul Sundaram 2008-07-21 02:52:20 UTC
rpmlint is not clean:

dojo.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 42)
dojo.src: W: invalid-license AFL2.1
---

dojo.noarch: W: file-not-utf8 /usr/share/dojo/dojo/cldr/LICENSE
dojo.noarch: E: non-executable-script
/usr/share/dojo/dojox/storage/buildFlashStorage.sh 0644
dojo.noarch: W: wrong-file-end-of-line-encoding
/usr/share/dojo/dojox/encoding/LICENSE
dojo.noarch: E: zero-length /usr/share/dojo/dojox/rpc/test.txt
dojo.noarch: E: non-executable-script
/usr/share/dojo/dojox/flash/tests/buildFlashTest.sh 0644
dojo.noarch: E: non-executable-script /usr/share/dojo/dojo/tests/io/upload.cgi 0644
dojo.noarch: E: non-executable-script /usr/share/dojo/util/doh/runner.sh 0644
dojo.noarch: W: invalid-license AFL2.1

---

You are listing these files for both macros, doc and datadir. The text files
should all go under /usr/share/doc aka %doc. 

warning: File listed twice: /usr/share/dojo/dijit/LICENSE
warning: File listed twice: /usr/share/dojo/dojo/LICENSE
warning: File listed twice: /usr/share/dojo/dojo/_firebug/LICENSE
warning: File listed twice: /usr/share/dojo/dojo/cldr/LICENSE
warning: File listed twice: /usr/share/dojo/dojo/cldr/README
warning: File listed twice: /usr/share/dojo/dojo/resources/LICENSE
warning: File listed twice: /usr/share/dojo/dojox/LICENSE
warning: File listed twice: /usr/share/dojo/dojox/_sql/LICENSE
warning: File listed twice: /usr/share/dojo/dojox/encoding/LICENSE
warning: File listed twice: /usr/share/dojo/dojox/encoding/README
warning: File listed twice: /usr/share/dojo/dojox/lang/LICENSE
warning: File listed twice: /usr/share/dojo/dojox/lang/README
warning: File listed twice: /usr/share/dojo/util/doh/LICENSE
warning: File listed twice: /usr/share/dojo/util/doh/README

--

Your spec claims you are deleting the sounds. Yet on my installation of the
package, I see

/usr/share/dojo/util/doh/_sounds/LICENSE
/usr/share/dojo/util/doh/_sounds/doh.wav
/usr/share/dojo/util/doh/_sounds/dohaaa.wav
/usr/share/dojo/util/doh/_sounds/woohoo.wav

You should contact upstream and clarify licensing. 


Comment 2 Rahul Sundaram 2008-07-21 02:59:54 UTC
Nothing under util directory seems to have clear licensing at all including the
couple of js files. There is a no license text within that directory either.
Shouldn't all the files independently carry a copyright notice and licensing
information in the header? 

Comment 3 Rakesh Pandit 2008-08-24 06:02:45 UTC
+1 month now, Any updates here?
needinfo ?

Comment 4 Peter Lemenkov 2009-02-16 18:33:30 UTC
Ping!

Comment 5 Dave Malcolm 2009-02-17 00:21:30 UTC
Oops, sorry, I tried to fix things, then dropped this on the floor.

Updated version uploaded:
Specfile: http://dmalcolm.fedorapeople.org/dojo.spec
SRPMS: http://dmalcolm.fedorapeople.org/dojo-1.1.1-2.src.rpm

This versions appears to have successfully removed the wav files from the built rpm.

Comment 6 Peter Lemenkov 2009-03-07 15:57:11 UTC
Ok, I'll review it.

Comment 7 Jason Tibbitts 2009-03-07 17:24:59 UTC
Originally we were holding off on some of these javascript packages until we figured out some guidelines for packaging them, but that effort doesn't seem to be going anywhere at all.  It's a rather difficult issue, honestly.

Comment 8 Peter Lemenkov 2010-02-16 19:45:47 UTC
Anton, are you interested in reviewing this? If yes, then, please re-assign this ticket to yourself, since I still can't find time for reviewing.

Comment 9 Caius Chance 2010-04-30 06:27:35 UTC
Ping and the 2 URLS above are not working.

Comment 10 Dave Malcolm 2010-04-30 13:28:48 UTC
I'm sorry that I let this stall - I'm very busy with Python these days.

I no longer have a specific use for Dojo.  If someone else would like to be the maintainer of this within Fedora, that would be great; feel free to reuse what I did, or start afresh as you see fit.  I don't realistically see myself being a good maintainer here (too many other demands on my time).

Thanks Rahul, Rakesh, Peter, Jason and Caius for looking at this, and sorry for not closing this out earlier.

Comment 11 Dave Malcolm 2010-04-30 13:31:22 UTC
(In reply to comment #9)
> Ping and the 2 URLS above are not working.    
Sorry about the broken URLs; I've restored them from backup in case someone else want to use them; they should work now.

Comment 12 Andrew Colin Kissa 2010-07-01 08:32:50 UTC

*** This bug has been marked as a duplicate of bug 609817 ***


Note You need to log in before you can comment on or make changes to this bug.